Summary:     Lock-and-copy logrotation tool
Name:        lcrotate
Version:     0.71
Release:     3.pp
License:     GPL
Group:       Console/Tools
Source0:     http://www.pramberger.at/peter/lcrotate/lcrotate-%{version}.tar.gz
URL:         http://www.pramberger.at/peter/lcrotate/
Buildroot:   /var/tmp/lcrotate-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Prereq:      /bin/bash /bin/mkdir
BuildPrereq: /usr/bin/gcc /bin/mkdir /usr/bin/make /usr/bin/install
Provides:    lcrotate.pp
ExclusiveOS: linux


%description
This tool rotates a given logfile. Instead of moving the file and
sending a signal to a process to let it create a new file, this tool
write locks the logfile, copies it and unlocks it again. There is no
need to restart any process. It is also possible to use this tool
to copy any frequently written file.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
/usr/sbin/*


%changelog
* Tue Sep 30 2003 peter.pramberger@1012surf.net
- new version 0.71

* Sun Jun 08 2003 peter.pramberger@1012surf.net
- added sync patch

* Wed Oct 30 2002 peter.pramberger@1012surf.net
- new version 0.70

* Tue Jan 15 2002 peter.pramberger@1012surf.net
- created

